evil_mman.h File Reference

The file that provides the memory map functions. More...

## Macros

#define | PROT_NONE 0x00
| Data can not be accessed.
#define | PROT_READ 0x01
| Data can be read.
#define | PROT_WRITE 0x02
| Data can be written.
#define | PROT_EXEC 0x04
| Data can be executed.
#define | MAP_SHARED 0x0001
| Changes are shared.
#define | MAP_PRIVATE 0x0002
| Changes are private.
#define | MAP_FIXED 0x0010
| Interpret the address (addr) exactly.
#define | MAP_ANON 0x0020
#define | MAP_ANONYMOUS MAP_ANON
#define | MAP_FAILED ((void *)-1)
| Error return from mmap().
#define | HAVE_MMAP 1

## Functions

EVIL_API void * | mmap (void *addr, size_t len, int prot, int flags, int fd, off_t offset)
| Creates or opens a named or unnamed file mapping object for a specified file and maps a view of a file mapping into the address space of a calling process.
EVIL_API int | munmap (void *addr, size_t len)
| Unmaps a mapped view of a file from the calling process's address space.
EVIL_API int | mprotect (void *addr, size_t len, int prot)
| Changes protection for the calling process' address.

## Detailed Description

The file that provides the memory map functions.